Bug 258519 - Bump lang/python37 to 3.7.12
Summary: Bump lang/python37 to 3.7.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Kai Knoblich
URL:
Keywords: security
Depends on:
Blocks:
 
Reported: 2021-09-15 17:31 UTC by Mike Fisher
Modified: 2021-09-19 17:44 UTC (History)
3 users (show)

See Also:
kai: maintainer-feedback+
kai: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Fisher 2021-09-15 17:31:01 UTC
Minor revision, going to 3.7.12.

diff -u /usr/ports/lang/python-doc-html/distinfo python-doc-html37/distinfo
--- /usr/ports/lang/python-doc-html/distinfo	2021-09-09 08:19:03.000000000 -0400
+++ python-doc-html37/distinfo	2021-09-15 13:19:01.683465000 -0400
@@ -1,4 +1,4 @@
-TIMESTAMP = 1630498262
+TIMESTAMP = 1631719446
 SHA256 (python/python-2.7.18-docs-html.tar.bz2) = 20445e9a571cacdd350f702f0980e4dc559b6ff81f1d69affe9b0a862fef2f0e
 SIZE (python/python-2.7.18-docs-html.tar.bz2) = 4634932
 SHA256 (python/python-2.7.18-docs-pdf-a4.tar.bz2) = dbac6953e48aac341351067ba0938393e415b10bf48ac8cbbc7247deaf13ab67
@@ -23,14 +23,14 @@
 SIZE (python/python-3.6.14-docs-pdf-letter.tar.bz2) = 13887018
 SHA256 (python/python-3.6.14-docs-text.tar.bz2) = 2ae0207f594b3cedfd1665cebe49082ce68f34a8badaa1ad7931a89f3be89727
 SIZE (python/python-3.6.14-docs-text.tar.bz2) = 2169509
-SHA256 (python/python-3.7.11-docs-html.tar.bz2) = 544f8d1b92cb6c9bf2a173e4daa646c4b1f2ba800e1e3d20aa1010a75d63fe13
-SIZE (python/python-3.7.11-docs-html.tar.bz2) = 6294193
-SHA256 (python/python-3.7.11-docs-pdf-a4.tar.bz2) = bddc0cc38b7e4f5ba0affabd89e2d8b7adb7ba4f54d6216ce178c2517bb11b4c
-SIZE (python/python-3.7.11-docs-pdf-a4.tar.bz2) = 14270570
-SHA256 (python/python-3.7.11-docs-pdf-letter.tar.bz2) = 119186596319e8cd7fa929756581e167404c4bbc0ab1d0e48112d217ba40f3a6
-SIZE (python/python-3.7.11-docs-pdf-letter.tar.bz2) = 14358884
-SHA256 (python/python-3.7.11-docs-text.tar.bz2) = f09a95719c94112b2bf773a452d6c981087c42a77a7d3502963735da530e9d99
-SIZE (python/python-3.7.11-docs-text.tar.bz2) = 2294133
+SHA256 (python/python-3.7.12-docs-html.tar.bz2) = 85f0b27822c3103c57ab7aa38338bc92c97359a4387f19dfe4360fbad79aff53
+SIZE (python/python-3.7.12-docs-html.tar.bz2) = 6277946
+SHA256 (python/python-3.7.12-docs-pdf-a4.tar.bz2) = 5c1210a27f4e0d036060acddfdcf47dc65c95668956c26d304ff4dc873fa3f09
+SIZE (python/python-3.7.12-docs-pdf-a4.tar.bz2) = 14235230
+SHA256 (python/python-3.7.12-docs-pdf-letter.tar.bz2) = fbd1dd6a9d626855a649866f432a19e2a625785b8216eeca9f9d719ecac0d0b4
+SIZE (python/python-3.7.12-docs-pdf-letter.tar.bz2) = 14316221
+SHA256 (python/python-3.7.12-docs-text.tar.bz2) = 8befa28d3d2659e4a7ab1f92ffc4a6bb3c404799d47c8e6cc9f41d10f6829eaa
+SIZE (python/python-3.7.12-docs-text.tar.bz2) = 2297181
 SHA256 (python/python-3.8.12-docs-html.tar.bz2) = 175f03235e0e6949a3054aad848f97e62994ee1783d1bcd063c4093ed608ecc3
 SIZE (python/python-3.8.12-docs-html.tar.bz2) = 6697455
 SHA256 (python/python-3.8.12-docs-pdf-a4.tar.bz2) = 9339bf9acea0adbd62655df999cdfc5ac0bf09f832120e3fb026c83155b294d6


diff -u /usr/ports/lang/python37/Makefile.version python37/Makefile.version
--- /usr/ports/lang/python37/Makefile.version	2021-07-06 10:59:30.000000000 -0400
+++ python37/Makefile.version	2021-09-15 11:11:28.000000000 -0400
@@ -2,4 +2,4 @@
 
 # Do not forget to update python documentation (lang/python-doc-*)
 # Run "make -C lang/python-doc-html makesum"
-PYTHON_DISTVERSION=	3.7.11
+PYTHON_DISTVERSION=	3.7.12
diff -u /usr/ports/lang/python37/distinfo python37/distinfo
--- /usr/ports/lang/python37/distinfo	2021-07-06 10:59:30.000000000 -0400
+++ python37/distinfo	2021-09-15 11:13:00.000000000 -0400
@@ -1,3 +1,3 @@
-TIMESTAMP = 1625323731
-SHA256 (python/Python-3.7.11.tar.xz) = ddb4196ab5c4f69e895920a422cb60d42b46e2de2b173ce7fd57f1435459a734
-SIZE (python/Python-3.7.11.tar.xz) = 17393380
+TIMESTAMP = 1631718780
+SHA256 (python/Python-3.7.12.tar.xz) = f77bf7fb47839f213e5cbf7827281078ea90de7e72b44f10d7ef385ea8c43210
+SIZE (python/Python-3.7.12.tar.xz) = 17401916
Common subdirectories: /usr/ports/lang/python37/files and python37/files
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-09-19 05:39:07 UTC
Needs an patch (attachment) and QA (poudriere, at least)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-09-19 05:39:48 UTC
VuXML added in ports 0659e7ea70d0c9e7067d21e4be7ac052ff1c7c77
Comment 3 commit-hook freebsd_committer 2021-09-19 10:59:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1987c2191766e38becd9ef478edc83bccd9c12a2

commit 1987c2191766e38becd9ef478edc83bccd9c12a2
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-09-19 10:52:54 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-09-19 10:52:54 +0000

    lang/python37: Update to 3.7.12

    Changelog:

    https://docs.python.org/release/3.7.12/whatsnew/changelog.html#changelog

    PR:             258519
    Reported by:    Mike Fisher
    Approved by:    kai (python, maintainer)
    MFH:            2021Q3
    Security:       0e561173-0fa9-11ec-a2fa-080027948c12

 lang/python37/Makefile.version | 2 +-
 lang/python37/distinfo         | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-09-19 10:59:38 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=76efc7077d52ec2eeddd65b064df2b6e8e21a22c

commit 76efc7077d52ec2eeddd65b064df2b6e8e21a22c
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-09-19 10:55:45 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-09-19 10:55:45 +0000

    lang/python-doc-html: Update doc for Python 3.7.12

    PR:             258519
    Reported by:    Mike Fisher
    Approved by:    kai (python, maintainer)
    MFH:            2021Q3

 lang/python-doc-html/distinfo | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-09-19 17:36:39 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f45650e3ec6a23dc058ad2f36b94c6ff2efb95c0

commit f45650e3ec6a23dc058ad2f36b94c6ff2efb95c0
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-09-19 10:52:54 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-09-19 17:17:49 +0000

    lang/python37: Update to 3.7.12

    Changelog:

    https://docs.python.org/release/3.7.12/whatsnew/changelog.html#changelog

    PR:             258519
    Reported by:    Mike Fisher
    Approved by:    kai (python, maintainer)
    MFH:            2021Q3
    Security:       0e561173-0fa9-11ec-a2fa-080027948c12

    (cherry picked from commit 1987c2191766e38becd9ef478edc83bccd9c12a2)

 lang/python37/Makefile.version | 2 +-
 lang/python37/distinfo         | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-09-19 17:36:41 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a9aeaa2173159e7f6423b49697861b6a32c8cc8f

commit a9aeaa2173159e7f6423b49697861b6a32c8cc8f
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-09-19 10:55:45 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-09-19 17:20:12 +0000

    lang/python-doc-html: Update doc for Python 3.7.12

    PR:             258519
    Reported by:    Mike Fisher
    Approved by:    kai (python, maintainer)
    MFH:            2021Q3

    (cherry picked from commit 76efc7077d52ec2eeddd65b064df2b6e8e21a22c)

 lang/python-doc-html/distinfo | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)
Comment 7 Kai Knoblich freebsd_committer 2021-09-19 17:44:16 UTC
Committed to the main branch and MFH'ed to 2021Q3 branch!  Thank you for the report, Mike!